#pragma once
#include "stringlistctrl.h"
#include "afxwin.h"


// CSIICGIPage1 ダイアログ

class CSIICGIPage1 : public CPropertyPage
{
	DECLARE_DYNAMIC(CSIICGIPage1)

public:
	CSIICGIPage1();
	virtual ~CSIICGIPage1();

// ダイアログ データ
	enum { IDD = IDD_SSICGI_PAGE1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()
public:
	CImageList	m_imageList;
	CStringListCtrl m_list;
	CString m_ext;
	CEdit m_header;
	CString m_path;
	afx_msg void OnBnClickedAdd();
	afx_msg void OnBnClickedDel();
	afx_msg void OnBnClickedBrows();
	virtual BOOL OnInitDialog();
	virtual BOOL OnKillActive();
	BOOL m_exe;
	afx_msg void OnBnClickedExe();
	afx_msg void OnBnClickedAddOpt();
	CButton m_update;
	afx_msg void OnNMClickList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedUpdate();
	afx_msg void OnBnClickedUp();
	afx_msg void OnBnClickedDown();
};
